Robot Control Interface - Feature #278
Check on making constructors protected/private to just use boost pointers
05/10/2011 05:33 PM - Anonymous

Status: New Start date: 05/10/2011
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 5.00 hours
Target version: rci0.5

Description

Check on making constructors protected/private to just use boost pointers. Is this compliant with real-time control (performance).

Related issues:
Related to Robot Control Interface - Tasks # 883: Rethink shared pointers New 02/15/2012

History

#1 - 08/30/2011 04:58 PM - Anonymous

Probably a good option for nodes. Not too sure about using that for data transfer objects where this might be a not-acceptable overhead.

#2 - 08/12/2013 02:16 PM - Anonymous
- Target version set to rci0.5
